package com.jpsoft.shinestar.modules.business.service;

import java.text.ParseException;
import java.util.Date;
import java.util.List;
import java.util.Map;
import com.jpsoft.shinestar.modules.business.entity.CanteenRecordAttendance;
import com.github.pagehelper.Page;
import com.jpsoft.shinestar.modules.common.dto.Sort;

public interface CanteenRecordAttendanceService {
	CanteenRecordAttendance get(String id);
	boolean exist(String id);
	int insert(CanteenRecordAttendance model);
	int update(CanteenRecordAttendance model);
	int delete(String id);
	List<CanteenRecordAttendance> list();
	Page<CanteenRecordAttendance> pageSearch(Map<String, Object> searchParams, int pageNum, int pageSize, boolean count, List<Sort> sortList);

	boolean punchIn(String deviceNo, Long personId, Date recordTime) throws ParseException;

}